Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.dnd
Interface DNDAction

    public interface DNDAction

A DNDAction represents an action that should be invoked by a drop zone when a drop occurs. DNDActions have one or more properties associated with them and an object dropped on this DNDAction's drop zone must possess all of the properties associated with this DNDAction in order for the drop zone to invoke it.

Since:
  6.0

Method Summary
`java.lang.String` | `getAction()` Returns the String representation of the DNDAction's action - typically a URL.
`java.lang.String` | `getActiveCssClassName()` Return the CSS class name for this DNDAction when in the "active" state.
`java.lang.String` | `getAwareCssClassName()` Return the CSS class name for this DNDAction when in the "aware" state.
`DNDProperty[]` | `getDNDProperties()` Returns the DNDProperties associated with this DNDAction.
`java.lang.String` | `getMultiselectDelimiter()` Return the delimiter to be used to separate values when a multiselect drop occurs.
`java.lang.String` | `getOptionalActionHandlerMarkup()` Returns optional javascript to be executed when a drag object is dropped onto a drop zone containing this action and causing it to be invoked.
`DNDValidator` | `getValidator()` Returns an instance of the DNDValidator for this DNDAction.
`boolean` | `supportsMultiselect()` Returns true if this DNDAction can support multiple DNDSources being dropped on it at the same time.

Method Detail

### getAction

    java.lang.String getAction()

  Returns the String representation of the DNDAction's action - typically a URL. This will not be null.

  Returns:
    the action (a URL)

### getValidator

    DNDValidator getValidator()

  Returns an instance of the DNDValidator for this DNDAction. This is allowed to be null.

  Returns:
    a DNDValidator instance

### getDNDProperties

    DNDProperty[] getDNDProperties()

  Returns the DNDProperties associated with this DNDAction.

  Returns:
    an array of DNDProperties

### getOptionalActionHandlerMarkup

    java.lang.String getOptionalActionHandlerMarkup()

  Returns optional javascript to be executed when a drag object is dropped onto a drop zone containing this action and causing it to be invoked.

  Returns:
    optional javascript to be executed for a an action, or null

### getActiveCssClassName

    java.lang.String getActiveCssClassName()

  Return the CSS class name for this DNDAction when in the "active" state. This should rarely be overridden and should generally use a default value. This will not be null.

  Returns:
    the CSS class name

### getAwareCssClassName

    java.lang.String getAwareCssClassName()

  Return the CSS class name for this DNDAction when in the "aware" state. This should rarely be overridden and should generally use a default value. This will not be null.

  Returns:
    the CSS class name

### supportsMultiselect

    boolean supportsMultiselect()

  Returns true if this DNDAction can support multiple DNDSources being dropped on it at the same time.

  Returns:
    true if this DNDAction supports multiselect

### getMultiselectDelimiter

    java.lang.String getMultiselectDelimiter()

  Return the delimiter to be used to separate values when a multiselect drop occurs. This value can be null

  Returns:
    the delimiter to separate values in a multiselect drop

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD